#pragma once

#include "DimensionGenerator.h"
#include "Noise.h"
#include "StaticRegistry.h"

class OverworldDimensionFactory : public DimensionGeneratorFactory
{
public:
    OverworldDimensionFactory();
    DimensionGenerator* createDimensionGenerator(
        int worldSeed, Framework::JSON::JSONValue* config) override;
    Framework::JSON::Validator::JSONValidator* getConfigValidator() override;
    Framework::JSON::JSONValue* getDefaultConfig() override;
};